<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 20.08.2006
     DVD Profiler Version 2.4 and 3.0
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml"
  encoding="UTF-8"/>

<xsl:template match="Collection">
<xsl:element name="Collection">
<xsl:text>&#xa;</xsl:text>
  <xsl:apply-templates select="DVD"><xsl:sort select="SortTitle"/></xsl:apply-templates>
</xsl:element>
</xsl:template>

<xsl:template match="DVD">
<xsl:element name="DVD">
  <xsl:text>&#xa;  </xsl:text>
  <xsl:element name="ID">
    <xsl:value-of select="ID"/>
  </xsl:element>
  <xsl:text>&#xa;  </xsl:text>
  <xsl:element name="Title">
    <xsl:value-of select="Title"/>
  </xsl:element>
  <xsl:text>&#xa;  </xsl:text>
  <xsl:element name="Regions">
    <xsl:for-each select="Regions/Region">
    <xsl:text>&#xa;    </xsl:text>
    <xsl:element name="Region">
      <xsl:value-of select="."/>
    </xsl:element>
    </xsl:for-each>
    <xsl:text>&#xa;  </xsl:text>
  </xsl:element>
  <xsl:text>&#xa;</xsl:text>
</xsl:element>
<xsl:text>&#xa;</xsl:text>
</xsl:template>

</xsl:stylesheet>

