<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 16.03.2007
     DVD Profiler Version 2.4 and 3.0
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
xmlns:date="http://exslt.org/dates-and-times" exclude-result-prefixes="date">

  <xsl:include href="templates/template-genres.xsl"/>
  <xsl:include href="templates/template-regions.xsl"/>
  <xsl:include href="templates/template-locality.xsl"/>
  <xsl:include href="templates/template-credits.xsl"/>

<xsl:output method="text"
  encoding="ISO-8859-15"/>

<xsl:template match="Collection">

<!-- <xsl:apply-templates select="DVD"><xsl:sort select="SortTitle"/></xsl:apply-templates> -->
<xsl:apply-templates select="DVD"><xsl:sort select="Title"/></xsl:apply-templates>

</xsl:template>

<xsl:template match="DVD">
  <xsl:if test="Locks/Covers='true'">
  <xsl:value-of select="Title"/>
  <xsl:text>&#xa;</xsl:text>
</xsl:if>

<!-- <xsl:if test="CollectionType='Owned' and CaseType='Snapper' and not(contains(Studios, 'Warner'))"> -->
<!-- <xsl:if test="Format/FormatAspectRatio >= '1.77' and Format/Format16X9 = 'false' and MediaTypes/DVD = 'true'"> -->
<!-- <xsl:if test="PurchaseInfo/PurchasePlace = 'DVD Box Office'"> -->
<!-- <xsl:if test="CollectionNumber &gt;= 500 and CollectionNumber &lt; 1000"> -->
<!-- <xsl:if test="CollectionType='Owned' and CaseType='Snapper' and not(contains(Studios, 'Warner'))"> -->

<!--   <xsl:apply-templates select="PurchaseInfo/PurchasePriceInfo/PurchasePrice"/> -->
<!--   <xsl:call-template name="Locality"/> -->

<!--   <xsl:value-of select="Format/FormatAspectRatio"/> -->
<!--   <xsl:value-of select="PurchaseInfo/PurchaseDate"/> -->
<!--   <xsl:value-of select="RunningTime"/> -->
<!--   <xsl:value-of select="UPC"/> -->
<!--   <xsl:value-of select="CollectionNumber"/> -->
<!--   <xsl:value-of select="Locks/Entire"/> -->
<!--   <xsl:value-of select="Locks/Covers"/> -->
<!--   <xsl:value-of select="Locks/Title"/> -->
<!--   <xsl:value-of select="Locks/MediaType"/> -->
<!--   <xsl:value-of select="Locks/Entire"/> -->
<!--   <xsl:value-of select="Notes"/> -->
<!--   <xsl:value-of select="Discs/Disc/Slot"/> -->
<!-- <xsl:value-of select="sum(/Collection/DVD[Tags/Tag[@Name = 'Criterion']]/RunningTime)"/> -->
<!-- <xsl:value-of select="sum(/Collection/DVD[CollectionType='Owned'][BoxSet/Contents='']/RunningTime)"/> -->
<!--   <xsl:text>;</xsl:text> -->
<!--   <xsl:text>&#xa;</xsl:text> -->
<!--   <xsl:text>&#x9;</xsl:text> -->

<!--   <xsl:if test="count(Description)&gt;0">
    <xsl:text>: </xsl:text><xsl:value-of select="Description"/>
  </xsl:if> -->

<!--     <xsl:for-each select="Discs/Disc/DiscIDSideA">
      <xsl:value-of select="."/>
      <xsl:text>
    </xsl:for-each> -->

<!--   <xsl:for-each select="Studios/Studio">
    <xsl:value-of select="."/>
    <xsl:if test="not (position()=last())">
      <xsl:text>, </xsl:text>
    </xsl:if>
  </xsl:for-each> -->

</xsl:template>
  
<xsl:template match="PurchaseInfo/PurchasePrice">
    <xsl:value-of select="@FormattedValue"/>
</xsl:template>

</xsl:stylesheet>
