<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 24.03.2007
     DVD Profiler Version 2.4 and 3.0
     
     import it with <xsl:include href="templates/template-locality.xsl"/>
     call it up with <xsl:call-template name="Locality"/>
     instead of the usual <xsl:template match="...">
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template name="Locality">
  <xsl:choose>
    <xsl:when test="not(contains(ID,'.'))">
      <xsl:text>USA</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=1">
      <xsl:text>New Zealand</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=2">
      <xsl:text>Australia</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=3">
      <xsl:text>Canada</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=4">
      <xsl:text>United Kingdom</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=5">
      <xsl:text>Germany</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=6">
      <xsl:text>China</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=7">
      <xsl:text>Former Soviet Union</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=8">
      <xsl:text>France</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=9">
      <xsl:text>Netherlands</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=10">
      <xsl:text>Spain</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=11">
      <xsl:text>Sweden</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=12">
      <xsl:text>Norway</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=13">
      <xsl:text>Italy</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=14">
      <xsl:text>Denmark</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=15">
      <xsl:text>Portugal</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=16">
      <xsl:text>Finland</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=17">
      <xsl:text>Japan</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=18">
      <xsl:text>South Korea</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=19">
      <xsl:text>Canada (Quebec)</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=20">
      <xsl:text>South Afrika</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=21">
      <xsl:text>Hong Kong</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=22">
      <xsl:text>Switzerland</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=23">
      <xsl:text>Brazil</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=24">
      <xsl:text>Israel</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=25">
      <xsl:text>Mexico</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=26">
      <xsl:text>Iceland</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=27">
      <xsl:text>Indonesia</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=28">
      <xsl:text>Taiwan</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=29">
      <xsl:text>Poland</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=30">
      <xsl:text>Belgium</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=31">
      <xsl:text>Turkey</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=32">
      <xsl:text>Argentina</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=33">
      <xsl:text>Slovakia</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=34">
      <xsl:text>Hungary</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=35">
      <xsl:text>Singapore</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=36">
      <xsl:text>Czech Republic</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=37">
      <xsl:text>Malaysia</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=38">
      <xsl:text>Thailand</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=39">
      <xsl:text>India</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=40">
      <xsl:text>Austria</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=41">
      <xsl:text>Greece</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=42">
      <xsl:text>Vietnam</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=43">
      <xsl:text>Philippines </xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=44">
      <xsl:text>Ireland</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=45">
      <xsl:text>Estonia</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=46">
      <xsl:text>Romania</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=47">
      <xsl:text>Iran</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=48">
      <xsl:text>Russia</xsl:text>
    </xsl:when>
    <xsl:otherwise>
      <xsl:text>???</xsl:text>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
</xsl:stylesheet>
