<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 11.12.2006
     DVD Profiler Version 2.4 and 3.0
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="text"
  encoding="ISO-8859-1"/>

<xsl:template match="Collection">
  <xsl:text>&#xa;ungesehen: </xsl:text>
  <xsl:value-of select="sum(/Collection/DVD[CollectionType='Owned' and not(Events/Event/EventType='Watched')]/RunningTime)"/>
  <xsl:text>&#xa;gesehen  : </xsl:text>
  <xsl:value-of select="sum(/Collection/DVD[CollectionType='Owned' and Events/Event/EventType='Watched']/RunningTime)"/>
  <xsl:text>&#xa;gesamt   : </xsl:text>
  <xsl:value-of select="sum(/Collection/DVD[CollectionType='Owned']/RunningTime)"/>
<!--   <xsl:text>&#xa;Test     : </xsl:text>
  <xsl:value-of select="sum(/Collection/DVD[CollectionType='Owned'][BoxSet/Contents='']/RunningTime)"/> -->
  <xsl:text>&#xa;&#xa;Discs: </xsl:text>
  <xsl:value-of select="count(/Collection/DVD[CollectionType='Owned']/Discs/Disc/DiscIDSideA[text()])"/>
  <xsl:text>&#xa;Discs ungesehen: </xsl:text>
  <xsl:value-of select="count(/Collection/DVD[CollectionType='Owned' and not(Events/Event/EventType='Watched')]/Discs/Disc/DiscIDSideA[text()])"/>
  <xsl:text>&#xa;</xsl:text>
</xsl:template>

</xsl:stylesheet>
